<?php

if ( ! function_exists( 'lawman_blog_enqueue_styles' ) ) :

	function lawman_blog_enqueue_styles() {
		wp_enqueue_style( 'lawman-blog-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'lawman-blog-style', get_stylesheet_directory_uri() . '/style.css', array( 'lawman-blog-style-parent' ), '1.0.0' );

	}

endif;

add_action( 'wp_enqueue_scripts', 'lawman_blog_enqueue_styles', 999 );

function lawman_blog_customize_control_style() {

	wp_enqueue_style( 'lawman-blog-customize-controls', get_theme_file_uri() . '/customizer-control.css' );

}
add_action( 'customize_controls_enqueue_scripts', 'lawman_blog_customize_control_style' );


require get_theme_file_path() . '/inc/customizer.php';

function lawman_blog_register_required_plugins() {

	$plugins = array(

		array(
			'name'      => esc_html__( 'Jetpack', 'lawman-blog' ),
			'slug'      => 'jetpack',
			'required'  => false,
		),

		array(
			'name'      => esc_html__( 'Smash Balloon', 'lawman-blog' ),
			'slug'      => 'instagram-feed',
			'required'  => false,
		),

	);

	$config = array(
		'id'           => 'lawman-blog',                 
		'default_path' => '',                      
		'menu'         => 'tgmpa-install-plugins', 
		'has_notices'  => true,                    
		'dismissable'  => true,                   
		'dismiss_msg'  => '',                      
		'is_automatic' => false,                   
		'message'      => '',                     
	);

	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'lawman_blog_register_required_plugins' );
