<?php

function lawman_blog_customize_register( $wp_customize ) {

	$wp_customize->remove_section( 'colors' );

	require get_theme_file_path() . '/inc/customizer/featured.php';
	
	require get_theme_file_path() . '/inc/customizer/popular.php';
	
	require get_theme_file_path() . '/inc/customizer/subscribe.php';

	require get_theme_file_path() . '/inc/customizer/latest.php';

	require get_theme_file_path() . '/inc/customizer/client.php';

	require get_theme_file_path() . '/inc/customizer/instagram.php';

}
add_action( 'customize_register', 'lawman_blog_customize_register' );


function lawman_blog_if_featured_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_featured' )->value() ;
}

function lawman_blog_if_instagram_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_instagram' )->value() ;
}

function lawman_blog_if_client_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_client' )->value() ;
}

function lawman_blog_if_latest_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_latest' )->value() ;
}

function lawman_blog_if_popular_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_popular' )->value() ;
}

function lawman_blog_if_suscribe_active( $control ) {
	return 'disable' != $control->manager->get_setting( 'lawman_blog_suscribe' )->value() ;
}